package sun.security.jca;

import java.security.SecureRandom;

public final class JCAUtil
{
    private static final int ARRAY_SIZE = 4096;
    
    private JCAUtil() {
    }
    
    public static int getTempArraySize(int b) {
        return Math.min(4096, b);
    }
    
    public static SecureRandom getSecureRandom() {
        return JCAUtil.CachedSecureRandomHolder.instance;
    }
    
    private static class CachedSecureRandomHolder
    {
        public static SecureRandom instance;
        
        static {
            JCAUtil.CachedSecureRandomHolder.instance = new SecureRandom();
        }
    }
}
